Bug 518109 - iasl doesn't properly decode DMAR tables
iasl doesn't properly decode DMAR tables
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: iasl (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Eduardo Habkost
:
Depends On: 518209
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-18 17:52 EDT by Don Dutile
Modified: 2010-03-30 04:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: iasl-20090123-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:19:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Dutile 2009-08-18 17:52:25 EDT
Description of problem:
The current version of iasl in RHEL5.4 is very old (circa: 2006).
Fedora's latest version is sprint '09.
Updated version needed to properly decode DMAR tables 
extracted from /sys/firmware/acpi/tables/DMAR.
Current decode is wrong in a couple places, so it challenges
the user to know whether the ACPI DMAR tables are correct or not.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Extract a DMAR table from /sys/firmware/acpi/tables/DMAR
   (may have to use F11 to do so if kernel support not added yet).
2. run 'iasl -d DMAR.raw'  where DMAR.raw was geneated by
   cat /sys/firmware/acpi/tables/DMAR > DMAR.raw
3.
  
Actual results:
PCI segment number incorrect; PCI dev's listed multiple times, etc.

Expected results:
Output that matches Fedora & upstream for proper interpretation.

Additional info:
Comment 1 Eduardo Habkost 2009-08-19 09:52:32 EDT
An update to latest iasl upstream version was proposed on bug #518209.
Comment 2 Eduardo Habkost 2009-09-09 17:51:10 EDT
iasl was updated to a newer upstream version, and iasl-20090123-1.el5 should fix this.
Comment 3 Lawrence Lim 2009-10-08 10:20:55 EDT
Moving to ON_QA so bug verification can begin.
Comment 8 errata-xmlrpc 2010-03-30 04:19:48 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0226.html

Note You need to log in before you can comment on or make changes to this bug.